Package org.drinkless.tdlib

# Class TdApi.ChatStatisticsAdministratorActionsInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatStatisticsAdministratorActionsInfo

Enclosing class:
  `TdApi`

public static class TdApi.ChatStatisticsAdministratorActionsInfo extends TdApi.Object
Contains statistics about administrator actions done by a user.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `bannedUserCount`
  Number of users banned by the administrator.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `deletedMessageCount`
  Number of messages deleted by the administrator.
  `int`
  `restrictedUserCount`
  Number of users restricted by the administrator.
  `long`
  `userId`
  Administrator user identifier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatStatisticsAdministratorActionsInfo()`
  Contains statistics about administrator actions done by a user.
  `ChatStatisticsAdministratorActionsInfo(long userId, int deletedMessageCount, int bannedUserCount, int restrictedUserCount)`
  Contains statistics about administrator actions done by a user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### userId

    public long userId
    Administrator user identifier.

  - ### deletedMessageCount

    public int deletedMessageCount
    Number of messages deleted by the administrator.

  - ### bannedUserCount

    public int bannedUserCount
    Number of users banned by the administrator.

  - ### restrictedUserCount

    public int restrictedUserCount
    Number of users restricted by the administrator.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatStatisticsAdministratorActionsInfo

    public ChatStatisticsAdministratorActionsInfo()
    Contains statistics about administrator actions done by a user.

  - ### ChatStatisticsAdministratorActionsInfo

    public ChatStatisticsAdministratorActionsInfo(long userId, int deletedMessageCount, int bannedUserCount, int restrictedUserCount)
    Contains statistics about administrator actions done by a user.
    Parameters:
      `userId` - Administrator user identifier.
      `deletedMessageCount` - Number of messages deleted by the administrator.
      `bannedUserCount` - Number of users banned by the administrator.
      `restrictedUserCount` - Number of users restricted by the administrator.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR